#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include<QObject>
#include<QWidget>
#include<QBoxLayout>
#include<QPushButton>
#include<QtMath>
#include<QRadioButton>
#include<QLCDNumber>
#include<QPalette>
#include<QTypeInfo>
#include<QtAlgorithms>
#include<QMessageBox>
#include<QSize>
#include<QSpacerItem>
#include<QLayoutItem>
#include <QTranslator>


class Calc : public QWidget
{
    Q_OBJECT

private:

    QString func_with_two_parametrs;

    bool is_func_with_two_parametrs;

    QVector<double> num_vec;

    QVector<QString> oper_vec;

    QVector<QPushButton*> btn_vec;

    QVector<QPushButton*> btn_vec2;

    QVector<QString> btn_txt;

    QVector<QString> btn_txt2;

    QLCDNumber* res;

    QVector<QRadioButton *> choice_vec;

    QPushButton * c;

    QGridLayout * grid;


    void create_ordinary_calculator();

    void create_engineer_calculator();

    void delete_ordinary_calculator();

    void delete_engineer_calculator();

    double parser_count(QVector<double>  numbers, QVector<QString> operations);

public:
    Calc(QWidget *parent = nullptr);

    ~Calc();

protected slots:


    void on_push_number_button();

    void on_push_operation_button();

    void on_push_delete_button();

    void on_push_dot_button();

    void on_push_equal_button();

    void on_push_math_function_operation();

    void on_push_pi_button();

    void on_push_math_function_with_two_params();

    void change_type_calculator();


};

#endif // MAINWINDOW_H
